> ## Documentation Index
> Fetch the complete documentation index at: https://docs.simplepay.mx/llms.txt
> Use this file to discover all available pages before exploring further.

# List tenant webhook event and delivery history



## OpenAPI

````yaml /openapi.json get /v1/webhook_events
openapi: 3.1.0
info:
  title: SimplePay API
  version: '2026-06-13'
  description: >-
    Contrato público para integrar SimplePay desde un backend. Incluye
    únicamente operaciones para comercios y administración protegida de
    credenciales.
servers:
  - description: Live
    url: https://api.simplepay.mx
  - description: Sandbox
    url: https://api.test.simplepay.mx
security:
  - SimplePayApiKey: []
tags:
  - name: API keys
  - name: Hosted Checkout
  - name: Payment Links
  - name: Payments
  - name: Refunds
  - name: Webhooks
  - name: Digital Catalog
  - name: Payment Policy
  - name: Reporting
  - name: Workspace
  - name: Customer Hub
  - name: Bookable Payments
  - name: Table Pay
  - name: Physical Checkout
  - name: In-person Payments
  - name: Terminal
  - name: Tap to Pay
  - name: Ticketing
  - name: Admission Control
  - name: Intelligence
externalDocs:
  description: SimplePay developer documentation
  url: https://docs.simplepay.mx
paths:
  /v1/webhook_events:
    get:
      tags:
        - Webhooks
      summary: List tenant webhook event and delivery history
      operationId: listWebhookEvents
      parameters:
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            maximum: 100
            default: 25
        - name: cursor
          in: query
          required: false
          schema:
            type: string
            minLength: 1
            maxLength: 2048
        - name: status
          in: query
          required: false
          schema:
            type: string
            enum:
              - dead_letter
              - delivered
              - pending
              - replayed
        - name: type
          in: query
          required: false
          schema:
            type: string
            enum:
              - account.capability.updated
              - account.requirements.updated
              - balance.available
              - checkout.completed
              - checkout.created
              - checkout.expired
              - dispute.closed
              - dispute.created
              - dispute.updated
              - payment.canceled
              - payment.created
              - payment.failed
              - payment.processing
              - payment.succeeded
              - payment_link.completed
              - payment_link.created
              - payment_link.deactivated
              - payment_link.updated
              - payout.canceled
              - payout.created
              - payout.failed
              - payout.paid
              - payout.updated
              - refund.created
              - refund.failed
              - refund.succeeded
              - refund.updated
      responses:
        2XX:
          description: Forwarded to the owning origin Worker.
components:
  securitySchemes:
    SimplePayApiKey:
      type: http
      scheme: bearer

````